# QGraphicsTextItem Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsObject.

### Constructor

- void QGraphicsTextItem(QGraphicsItem parent, QGraphicsScene scene)
- void QGraphicsTextItem(String text, QGraphicsItem parent, QGraphicsScene scene)

### Constructor Properties

- prototype: The QGraphicsTextItem prototype object

### Prototype Object Properties

The QGraphicsTextItem prototype object inherits properties from the QGraphicsObject prototype object and also has the following properties.

- void adjustSize()
- QColor defaultTextColor()
- QTextDocument document()
- QFont font()
- bool openExternalLinks()
- void setDefaultTextColor(QColor c)
- void setDocument(QTextDocument document)
- void setFont(QFont font)
- void setHtml(String html)
- void setOpenExternalLinks(bool open)
- void setPlainText(String text)
- void setTabChangesFocus(bool b)
- void setTextCursor(QTextCursor cursor)
- void setTextInteractionFlags(TextInteractionFlags flags)
- void setTextWidth(qreal width)
- bool tabChangesFocus()
- QTextCursor textCursor()
- TextInteractionFlags textInteractionFlags()
- qreal textWidth()
- String toHtml()
- String toPlainText()

### Instance Properties

QGraphicsTextItem objects have no special properties beyond those inherited from the QGraphicsTextItem prototype object.